#-------------------------------------------------
#
# Project created by QtCreator 2016-02-09T21:26:14
#
#-------------------------------------------------

QT       += widgets sql

QT       -= gui

TARGET = commodity
TEMPLATE = lib

DEFINES += COMMODITY_LIBRARY

SOURCES += commodity.cpp \
    data/commoditydata.cpp \
    data/commoditytypedata.cpp \
    commoditytablemodel.cpp \
    commodityform.cpp \
    commoditygrid.cpp \
    commoditysettingsform.cpp \
    commodityservice.cpp \
    settings/commoditysettings.cpp

HEADERS += commodity.h\
        commodity_global.h \
    data/commoditydata.h \
    data/commoditytypedata.h \
    data/commodity-data.h \
    commoditytablemodel.h \
    commodityform.h \
    commoditygrid.h \
    commoditysettingsform.h \
    commodityservice.h \
    settings/commoditysettings.h

include(../config_plugin.pri)

ODB_FILES = commodity/data/commodity-data.h
H_DIR = $$PWD/data/*.h
ODB_OTHER_INCLUDES = -I $$PWD/../shop
include(../odb.pri)

OTHER_FILES += \
    commodity.json

FORMS += \
    commodityform.ui \
    commoditysettingsform.ui

RESOURCES += \
    commodityrc.qrc
TRANSLATIONS = translations/commodity_cs_CZ.ts

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -lshop
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -lshop
else:unix: LIBS += -L$$OUT_PWD/../plugins/ -lshop

INCLUDEPATH += $$PWD/../shop
DEPENDPATH += $$PWD/../shop
